---
updatedAt: 2025-02-14T21:01:44.000Z
agentTools:
  projectIndex: https://developer.getontop.com/llms.txt
---

# Test Event Notification

```
curl --location 'https://api.demo.getontop.com/webhooks/events \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxxxxxxxxxx' \
--data '{
    "event_type": "KYC" 
}'

```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "ONTOP API",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.demo.getontop.com"
    }
  ],
  "tags": [
    {
      "name": "Webhooks"
    }
  ],
  "paths": {
    "/webhooks/events": {
      "post": {
        "tags": [
          "Webhooks"
        ],
        "summary": "Test Event Notification",
        "requestBody": {
          "content": {
            "*/*": {
              "schema": {
                "type": "string",
                "example": "\"{\\n    \\\"event_type\\\": \\\"KYC\\\"\\n}\""
              }
            }
          }
        },
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "application/json"
          },
          {
            "name": "token_client_id",
            "in": "header",
            "schema": {
              "type": "integer"
            },
            "example": "100"
          },
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "Bearer "
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```